Subject: Re: What ethernet driver to use in 2.6.8.1 instead of gianfar in 2.6.11.x?

From: Kumar Gala <[email-masked]>
Date: Tue, 17 May 2005 10:41:22 -0500

On May 17, 2005, at 6:56 AM, Clemens Koller wrote:

> Hello, again,
>
> for some tests and glibc-builds I want to work with a 2.6.8.1 kernel
>  temporarily on a freescale mpc8540.

Out of interest, what issues did you have with 2.6.11.x?

> In 2.6.8.1 there was no gianfar ethernet driver. Is it okay to use the
>  fec drivers instead of the gianfar or is it better to put the gianfar
>  drivers back into 2.6.8.1? (100Mbps are okay for that testing)

I doubt fec drivers would ever work for the TSECs.  You should be able 
to pull the driver code out of 2.6.11.x for gianfar back into 2.6.8.1 
w/o any real issue.

> Maybe somebody can get me a working .config for 2.6.8.1 and mpc8540ads?

Can you start with the .config file that exists in the 2.6.11 ?

- kumar